NewStart CGSL CORE 5.05 / MAIN 5.05 : openldap 漏洞 (NS-SA-2021-0168)

high Nessus 插件 ID 154602

语言:

简介

远程 NewStart CGSL 主机受到一个漏洞影响。

描述

运行 CORE 5.05 / MAIN 5.05 版本的远程 NewStart CGSL 主机上安装的 openldap 程序包受到一个漏洞的影响:

- 在 OpenLDAP 2.4.50 之前版本的 slapd 的 filter.c 中,具有嵌套布尔表达式的 LDAP 搜索过滤器可导致拒绝服务(后台程序崩溃)。(CVE-2020-12243)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级易受攻击的 CGSL openldap 程序包。请注意,更新后的程序包尚未发布。请联系 ZTE 获取更多信息。

另见

http://security.gd-linux.com/notice/NS-SA-2021-0168

http://security.gd-linux.com/info/CVE-2020-12243

插件详情

严重性: High

ID: 154602

文件名: newstart_cgsl_NS-SA-2021-0168_openldap.nasl

版本: 1.2

类型: local

发布时间: 2021/10/28

最近更新时间: 2021/10/28

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Medium

基本分数: 5

时间分数: 3.7

矢量: AV:N/AC:L/Au:N/C:N/I:N/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2020-12243

CVSS v3

风险因素: High

基本分数: 7.5

时间分数: 6.5

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:zte:cgsl_core:openldap, p-cpe:/a:zte:cgsl_core:openldap-clients, p-cpe:/a:zte:cgsl_core:openldap-devel, p-cpe:/a:zte:cgsl_core:openldap-servers, p-cpe:/a:zte:cgsl_core:openldap-servers-sql, p-cpe:/a:zte:cgsl_main:openldap, p-cpe:/a:zte:cgsl_main:openldap-clients, p-cpe:/a:zte:cgsl_main:openldap-devel, p-cpe:/a:zte:cgsl_main:openldap-servers, p-cpe:/a:zte:cgsl_main:openldap-servers-sql, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

必需的 KB 项: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2021/9/24

漏洞发布日期: 2020/4/28

参考资料信息

CVE: CVE-2020-12243

IAVB: 2020-B-0028-S